org.richfaces.renderkit.html.images

## Class TreeImageBase.TreeImageData

- java.lang.Object
- - org.richfaces.renderkit.html.images.TreeImageBase.TreeImageData

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    TreeImageBase

      protected static class TreeImageBase.TreeImageData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeImageBase.TreeImageData()`
    `TreeImageBase.TreeImageData(byte[] data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getControlColor()`
    `java.lang.Integer` | `getGeneralColor()`
    `java.lang.Integer` | `getTrimColor()`
    `void` | `setControlColor(java.lang.Integer controlColor)`
    `void` | `setGeneralColor(java.lang.Integer generalColor)`
    `void` | `setTrimColor(java.lang.Integer trimColor)`
    `byte[]` | `toByteArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeImageBase.TreeImageData

          public TreeImageBase.TreeImageData()

    - #### TreeImageBase.TreeImageData

          public TreeImageBase.TreeImageData(byte[] data)

  - ### Method Detail

    - #### getControlColor

          public java.lang.Integer getControlColor()

    - #### setControlColor

          public void setControlColor(java.lang.Integer controlColor)

    - #### getTrimColor

          public java.lang.Integer getTrimColor()

    - #### setTrimColor

          public void setTrimColor(java.lang.Integer trimColor)

    - #### getGeneralColor

          public java.lang.Integer getGeneralColor()

    - #### setGeneralColor

          public void setGeneralColor(java.lang.Integer generalColor)

    - #### toByteArray

          public byte[] toByteArray()

Copyright © 2014. All Rights Reserved.